%global momorel 5

Summary: Text-based addressbook program
Name: abook
Version: 0.5.1
Release: %{momorel}m
License: GPL
Group: Applications/Internet
Source: http://umn.dl.sourceforge.net/sourceforge/abook/%{name}-%{version}.tar.gz
NoSource: 0
Source1: config-sample.abookrc
Patch0: http://abook.sourceforge.net/patches/0.5.1-01_mutt-filter
Patch1: abook.nick_cutoff.patch
URL: http://abook.sourceforge.net/
BuildPreReq: readline-devel
BuildPreReq: libtermcap-devel >= 2.0.8-38m
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Abook is a text-based addressbook program designed to
use with mutt mail client.

%prep
%setup -q
%patch0 -p0 -b .01_mutt-filter
%patch1 -p0 -b .nick_cutoff

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall
mkdir -p	%{buildroot}%{_datadir}/config-sample/abook
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/config-sample/abook/abookrc

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc sample.abookrc ANNOUNCE AUTHORS BUGS COPYING ChangeLog FAQ INSTALL
%doc NEWS README THANKS TODO abook.spec contrib/
%defattr(-,root,root)
%{_bindir}/abook
%{_mandir}/man1/abook.*
%{_mandir}/man5/abookrc.*
%docdir %{_datadir}/config-sample/abook
%{_datadir}/config-sample/abook

%changelog
* Wed Mar  9 2005 Toru Hoshina <t@momonga-linux.org>
- (0.5.1-5m)
- rebuild against libtermcap-2.0.8-38m.

* Sat Feb 19 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.5.1-4m)
- revised docdir permission

* Mon Mar 29 2004 TAKAHASHI Tamotsu <tamo>
- (0.5.1-3m)
- 0.5.1-01_mutt-filter was incomplete. apply nick_cutoff.patch
- 0.5.2 is available, but I don't want to update to that version
 because it has an "experimental wide character support" (see ChangeLog)

* Sat Jan 24 2004 TAKAHASHI Tamotsu <tamo>
- (0.5.1-2m)
- apply http://abook.sourceforge.net/patches/0.5.1-01_mutt-filter

* Mon Nov 24 2003 TAKAHASHI Tamotsu <tamo>
- (0.5.1-1m)
- update. add contrib as doc

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-2m)
- s/Copyright:/License:/

* Thu Jul  3 2003 TAKAHASHI Tamotsu <tamo>
- (0.5.0-1m)
- first import

* Sat Jun 28 2003 TAKAHASHI Tamotsu <tamo>
- (0.5.0-0.1.0m)
- 0.5.0rc1
- add BuildPreReq: readline-devel
- add config-sample

* Sat Jan 11 2003 TAKAHASHI Tamotsu
- (0.4.17-0m)
- flavor of momonga...

* Mon Mar 11 2002 Jaakko Heinonen <jheinonen@users.sourceforge.net>
- rewrote the spec file originally written by
  Gustavo Niemeyer <niemeyer@conectiva.com>
